Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## bea.jolt.pool.servlet
Class ServletResult

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--bea.jolt.pool.DataSet
                        |
                        +--bea.jolt.pool.Result
                              |
                              +--bea.jolt.pool.servlet.ServletResult

public class ServletResult
extends Result

This class provides methods to retrieve each field in a `ServletResult` object as a `String`.

Author:
  Copyright (c) 1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class bea.jolt.pool.Result
`APPLICATION_ERROR, applicationCode, detailErrmsg, detailErrno, errmsg, errno, errtype, NO_ERROR, SYSTEM_ERROR`

Fields inherited from class bea.jolt.pool.DataSet
`unrestricted`

Method Summary
`java.lang.String` | `getStringValue(java.lang.String name, int index, java.lang.String defval)` Gets the string value of a data element associated with a name and an index.
`java.lang.String` | `getStringValue(java.lang.String name, java.lang.String defval)` Gets the string value of a data element associated with a name.

Methods inherited from class bea.jolt.pool.Result
`applicationError, getApplicationCode, getError, getErrorDetail, getStringError, getStringErrorDetail, noError, systemError`

Methods inherited from class bea.jolt.pool.DataSet
`expanded, getCount, getValue, getValue, setValue, setValue`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getStringValue

    public java.lang.String getStringValue(java.lang.String name,
                                           int index,
                                           java.lang.String defval)

  Gets the string value of a data element associated with a name and an index. For BEA TUXEDO char (byte), the data is converted to a decimal numeric String. For BEA Tuxedo `CARRAY` (octets), the data is converted to a String of hexadecimal digits.

  Parameters:
    `name` - Name of the data element
    `index` - Index of the data element, starting from zero
    `defval` - Default value to return if the data element does not exist
  Returns:
    String value of the data element or the default value
  See Also:
    `DataSet.getValue(java.lang.String, int, java.lang.Object)`, `DataSet.getValue(java.lang.String, java.lang.Object)`

### getStringValue

    public java.lang.String getStringValue(java.lang.String name,
                                           java.lang.String defval)

  Gets the string value of a data element associated with a name. This method is the same as calling `getStringValue(name, 0, value)`.

  Parameters:
    `name` - Name of the data element
    `defval` - Default value to return if the data element does not exist
  Returns:
    String value of the data element or the default value
  See Also:
    `DataSet.getValue(java.lang.String, int, java.lang.Object)`, `DataSet.getValue(java.lang.String, java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD